/* Extra small devices (phones) */
@media (max-width: 575px) {
  p {
    margin-bottom: 8px;
  }

  h1,
  h2,
  h3,
  h4,
  h5,
  h6 {
    line-height: 1;
  }
  .section {
    padding: 40px 0;
  }
  img {
    max-width: 100%;
  }
  a {
    text-decoration: none;
    color: inherit;
  }
  .btn {
    padding: 8px 16px;
    border-radius: 6px;
    display: inline-block;
    cursor: pointer;
    border: 1px solid;
  }
  .btn:hover {
    border: 1px solid;
    transform: scale(1.02);
  }
  .text {
    font-size: 16px;
    margin-bottom: 8px;
  }
  .hero-banner-heading {
    font-size: 35px;
  }
  .hero-title {
    font-size: 18px;
    margin-bottom: 10px;
  }
  .section-title {
    font-size: 18px;
    margin-bottom: 10px;
  }
  .sec-badge {
    padding: 2px 8px;
  }
  .heading {
    font-size: 35px;
    line-height: 40px;
  }
  .sub-heading {
    font-size: 18px;
    line-height: 22px;
  }
  .builder {
    flex-direction: column;
  }

  .builder-sidebar {
    width: 100%;
    height: 50%;
    padding: 15px;
  }

  .builder-preview {
    padding: 15px;
  }

  #templatePreviewMode {
    padding: 15px;
  }

  .page-item {
    padding: 8px 10px;
  }

  .builder-message h2 {
    font-size: 22px;
  }
  .builder-sidebar label {
    font-size: 12px;
  }

  .builder-sidebar select,
  .builder-sidebar input {
    height: 36px;
    font-size: 13px;
  }

  .builder-sidebar button {
    font-size: 13px;
    padding: 9px;
  }
}

/* Small devices (large phones, portrait tablets) */
@media (min-width: 576px) and (max-width: 767px) {
  .builder-sidebar {
    width: 200px;
    padding: 15px;
  }
  .section {
    padding: 40px 0;
  }
  .text {
    font-size: 17px;
    margin-bottom: 10px;
  }
  .hero-banner-heading {
    font-size: 40px;
  }
  .hero-title {
    font-size: 20px;
    margin-bottom: 10px;
  }
  .section-title {
    font-size: 20px;
    margin-bottom: 10px;
  }
  .sec-badge {
    padding: 2px 8px;
  }
  .heading {
    font-size: 40px;
    line-height: 40px;
  }
  .sub-heading {
    font-size: 20px;
    line-height: 22px;
  }
}

/* Medium devices (tablets) */
@media (min-width: 768px) and (max-width: 991px) {
  .section {
    padding: 60px 0;
  }
  .text {
    font-size: 18px;
    margin-bottom: 10px;
  }
  .hero-banner-heading {
    font-size: 45px;
  }
  .hero-title {
    font-size: 20px;
    margin-bottom: 15px;
  }
  .section-title {
    font-size: 20px;
    margin-bottom: 10px;
  }
  .sec-badge {
    padding: 2px 8px;
  }
  .heading {
    font-size: 45px;
    line-height: 50px;
  }
  .sub-heading {
    font-size: 30px;
    line-height: 44px;
  }
}

/* Large devices (laptops/desktops) */
@media (min-width: 992px) and (max-width: 1199px) {
  .text {
    font-size: 18px;
    margin-bottom: 10px;
  }
  .hero-banner-heading {
    font-size: 55px;
  }
  .hero-title {
    font-size: 20px;
    margin-bottom: 15px;
  }
  .section-title {
    font-size: 20px;
    margin-bottom: 10px;
  }
  .sec-badge {
    padding: 2px 8px;
  }
  .heading {
    font-size: 55px;
    line-height: 64px;
  }
  .sub-heading {
    font-size: 28px;
    line-height: 34px;
  }
}

/* Extra large (desktops) */
@media (min-width: 1200px) {
  /* body {
    background-color: red;
  } */
}
